<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_forum_activity_card"
    android:layout_marginLeft="16dp"
    android:layout_marginRight="16dp"
    android:paddingBottom="26dp">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/introPic"
        style="@style/frescoStyle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="w,1:2"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintLeft_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundTopLeft="true"
        app:roundTopRight="true"
        app:roundBottomLeft="false"
        app:roundBottomRight="false"
        app:roundedCornerRadius="12dp" />

    <TextView
        android:id="@+id/title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:includeFontPadding="false"
        android:lineSpacingExtra="2dp"
        android:textColor="@color/text_primary"
        android:textStyle="bold"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/introPic"
        tools:text="官方预告，5.20限时领福利礼好礼等你拿快来参加吧还有更多好礼等你拿" />

    <androidx.cardview.widget.CardView
        android:id="@+id/statusContainer"
        android:layout_width="wrap_content"
        android:layout_height="16dp"
        android:layout_marginTop="8dp"
        android:layout_marginLeft="16dp"
        app:cardBackgroundColor="@color/bg_1AFA8850"
        app:contentPaddingRight="4dp"
        app:cardCornerRadius="3dp"
        app:cardElevation="0dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/title">

        <ImageView
            android:id="@+id/statusIv"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:src="@drawable/ic_activity_ongoing" />

        <TextView
            android:id="@+id/statusTv"
            android:layout_width="wrap_content"
            android:layout_height="16dp"
            android:layout_marginLeft="20dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/text_FA8850"
            android:textStyle="bold"
            android:textSize="10sp"
            android:text="进行中"
            tools:text="奖励发放中" />

    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/startTimeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="11sp"
        android:text="2021.04.30"
        app:layout_constraintBottom_toBottomOf="@+id/statusContainer"
        app:layout_constraintLeft_toRightOf="@+id/statusContainer"
        app:layout_constraintTop_toTopOf="@+id/statusContainer" />

    <ImageView
        android:id="@+id/timeIv"
        android:layout_width="8dp"
        android:layout_height="8dp"
        android:layout_marginLeft="4dp"
        android:src="@drawable/ic_forum_activity_time"
        app:layout_constraintBottom_toBottomOf="@+id/startTimeTv"
        app:layout_constraintLeft_toRightOf="@+id/startTimeTv"
        app:layout_constraintTop_toTopOf="@+id/startTimeTv" />

    <TextView
        android:id="@+id/endTimeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="4dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="11sp"
        android:text="2022.04.30"
        app:layout_constraintBottom_toBottomOf="@+id/timeIv"
        app:layout_constraintLeft_toRightOf="@+id/timeIv"
        app:layout_constraintTop_toTopOf="@+id/timeIv" />
</androidx.constraintlayout.widget.ConstraintLayout>

